> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate BVN Consent

> Request consent for BVN verification



## OpenAPI

````yaml post /bvn/verifications
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /bvn/verifications:
    post:
      tags:
        - Misc
      summary: Initiate BVN Consent
      description: Request consent for BVN verification
      operationId: InitiateBVNConsent
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/InitiateBVNConsentRequest'
                - example:
                    bvn: '22222222280'
                    firstname: Nibby
                    lastname: Certifier
                    redirect_url: https://example-url.company.com
            example:
              bvn: '22222222280'
              firstname: Nibby
              lastname: Certifier
              redirect_url: https://example-url.company.com
        required: true
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 10:52:13 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '245'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"f5-COoTshio/eBVB7KP2IVhBg"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InitiateBVNConsent-success'
                  - example:
                      status: success
                      message: Bvn verification initiated
                      data:
                        url: >-
                          https://nibss-bvn-consent-management.dev-flutterwave.com/cms/BvnConsent?session=ZDdiYjVjODMtYWE0My00NjI0LTllMjAtYTQyODBmMzI1NmQ5
                        reference: FLWA968D23A3D2BE31F5D63D0
              example:
                status: success
                message: Bvn verification initiated
                data:
                  url: >-
                    https://nibss-bvn-consent-management.dev-flutterwave.com/cms/BvnConsent?session=ZDdiYjVjODMtYWE0My00NjI0LTllMjAtYTQyODBmMzI1NmQ5
                  reference: FLWA968D23A3D2BE31F5D63D0
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 12:01:24 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '63'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"3f-QLWkh+32IdQegEEeaTHc4w"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InitiateBVNConsent-error1'
                  - example:
                      status: error
                      message: lastname is required
                      data: null
              example:
                status: error
                message: lastname is required
                data: null
      deprecated: false
components:
  schemas:
    InitiateBVNConsentRequest:
      title: InitiateBVNConsentRequest
      required:
        - bvn
        - firstname
        - lastname
        - redirect_url
      type: object
      properties:
        bvn:
          type: string
        firstname:
          type: string
        lastname:
          type: string
        redirect_url:
          type: string
      example:
        bvn: '22222222280'
        firstname: Nibby
        lastname: Certifier
        redirect_url: https://example-url.company.com
    InitiateBVNConsent-success:
      title: InitiateBVNConsent-success
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data89'
      example:
        status: success
        message: Bvn verification initiated
        data:
          url: >-
            https://nibss-bvn-consent-management.dev-flutterwave.com/cms/BvnConsent?session=ZDdiYjVjODMtYWE0My00NjI0LTllMjAtYTQyODBmMzI1NmQ5
          reference: FLWA968D23A3D2BE31F5D63D0
    InitiateBVNConsent-error1:
      title: InitiateBVNConsent-error1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: lastname is required
        data: null
    Data89:
      title: Data89
      required:
        - url
        - reference
      type: object
      properties:
        url:
          type: string
        reference:
          type: string
      example:
        url: >-
          https://nibss-bvn-consent-management.dev-flutterwave.com/cms/BvnConsent?session=ZDdiYjVjODMtYWE0My00NjI0LTllMjAtYTQyODBmMzI1NmQ5
        reference: FLWA968D23A3D2BE31F5D63D0
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````